What should I do now?

Imaginings
Imaginings Member Posts: 1 Newcomer

Just purchased macbook pro m2chip so I'm using Logic

I own the kontakt 4 library

What can I do to make it work? Kontakt 7 player or Kontakt 7 full version... or what?

It's frightening that NI has no direct contact.

Best Answer

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod
    Answer ✓

    Hey @Imaginings We have a dedicated support section:

    Not sure to that you'll be able to authorize the Kontakt 4 Library on a recent operating system, maybe my colleagues from support could help, to save you some time here is a dedicated typeform link: http://bit.ly/NIsupport_install

Answers

  • Gee_Flat
    Gee_Flat Member Posts: 906 Guru

    I think when I had the K7 player installed it would only open my K3 instruments as 'DEMO'. K7 player is in your account. Download and test it as a stand-alone.

  • DunedinDragon
    DunedinDragon Member Posts: 263 Pro

    I'd go onto the Native Instruments site and check your account status. There's no value in using the player if you own a previous version and can just upgrade to Kontakt 7 full version for $99. In my experience I've had pretty good response from NI from my emails with their support staff.

  • Gee_Flat
    Gee_Flat Member Posts: 906 Guru

    I'm guessing the real dilemma here is opening old projects with K4 instruments, but there is no support for K4 as a plugin on the new machine.

    It's worth waiting as an investment if the Player works. Especially with something new and exciting on the horizon.

  • Jeremy_NI
    Jeremy_NI Customer Care Posts: 8,801 mod
    Answer ✓

    Hey @Imaginings We have a dedicated support section:

    Not sure to that you'll be able to authorize the Kontakt 4 Library on a recent operating system, maybe my colleagues from support could help, to save you some time here is a dedicated typeform link: http://bit.ly/NIsupport_install

Back To Top